/*
 * remove_before_flight.h
 *
 */

#ifndef REMOVE_BEFORE_FLIGHT_H_
#define REMOVE_BEFORE_FLIGHT_H_

namespace RemoveBeforeFlight
{
	unsigned experimental();

	bool tbay();
	bool pod();

	const char* ftbName(); //Flight Test Bed name

	void setFtbCode(unsigned int, const char* name=0);

	class Feature
	{
	public:
		Feature(const char* name, const char* description=0, bool enabled=true);

		bool operator()(void) const { return enabled();}

		bool enabled() const;

	//protected:
		bool _enabled;
	};
}



#endif /* REMOVE_BEFORE_FLIGHT_H_ */
